import * as $dara from '@darabonba/typescript';
export declare class GetCheckTimeDimensionStatisticResponseBodyTimeDimensionStatisticDTOTimeDimensionStatisticItemsStatisticDatas extends $dara.Model {
    /**
     * @remarks
     * Data type.
     *
     * @example
     * COMPLIANCE_Pass
     */
    name?: string;
    /**
     * @remarks
     * Quantity.
     *
     * @example
     * 194
     */
    value?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCheckTimeDimensionStatisticResponseBodyTimeDimensionStatisticDTOTimeDimensionStatisticItems extends $dara.Model {
    /**
     * @remarks
     * Data time, in timestamp format.
     *
     * @example
     * 1712592000000
     */
    dataTime?: number;
    /**
     * @remarks
     * List of statistical data.
     */
    statisticDatas?: GetCheckTimeDimensionStatisticResponseBodyTimeDimensionStatisticDTOTimeDimensionStatisticItemsStatisticDatas[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCheckTimeDimensionStatisticResponseBodyTimeDimensionStatisticDTO extends $dara.Model {
    /**
     * @remarks
     * List of data time points.
     */
    dates?: number[];
    /**
     * @remarks
     * Type of statistical data. Values:
     * - **CheckPassRate**: Check item pass rate.
     * - **AssetPassRate**: Asset pass rate.
     *
     * @example
     * CheckPassRate
     */
    statisticType?: string;
    /**
     * @remarks
     * Time trend statistical data results.
     */
    timeDimensionStatisticItems?: GetCheckTimeDimensionStatisticResponseBodyTimeDimensionStatisticDTOTimeDimensionStatisticItems[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCheckTimeDimensionStatisticResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the current request, a unique identifier generated by Alibaba Cloud for this request, which can be used to troubleshoot and locate issues.
     *
     * @example
     * 028CF634-5268-5660-9575-48C9ED6B****
     */
    requestId?: string;
    /**
     * @remarks
     * List of time trend statistical data results.
     */
    timeDimensionStatisticDTO?: GetCheckTimeDimensionStatisticResponseBodyTimeDimensionStatisticDTO;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
